{% extends "ajax/ajax.html.twig" %}
{% block ajax %}
    <div class="row">

        <div class="cell rw-12">
            <ul class="tabs plain" x-tab-group="admin-forum" x-tab-control x-tab-default="dash">
                <li class="tab" x-tab-id="dash"><div class="tab-link">{% trans from 'admin' %}Übersicht{% endtrans %}</div></li>
            </ul>

            <div x-tab-group="admin-forum" x-tab-id="dash" x-tab-target>
                {% if not all_shown %}
                    <div class="note">
                        {{ 'Posts mit nur einer Meldung werden ausgeblendet.'|trans({},'admin') }}
                        <a href="#" x-ajax-href="{{ path('admin_reports', {opt: 'all'}) }}">{{ 'Alle anzeigen'|trans({},'admin') }}</a>
                    </div>
                {% endif %}
                <div class="row">
                    <div class="cell padded rw-3 rw-sm-12">
                        <span>{{ "Forum" |trans({}, 'admin') }}</span>
                    </div>
                    <div class="cell padded rw-2 rw-sm-12">
                        <span>{{ "Autor" |trans({}, 'admin') }}</span>
                    </div>
                    <div class="cell padded rw-2 rw-sm-12">
                        <span>{{ "Meldungen" |trans({}, 'admin') }}</span>
                    </div>
                    <div class="cell padded rw-4 rw-sm-12">
                        <span>{{ "gemeldet von" |trans({}, 'admin') }}</span>
                    </div>
                </div>
                {% for post in posts %}
                    <div class="row">
                        <div class="cell padded rw-3 rw-sm-12">
                            <a href="{{path('forum_jump_view', {pid: post['post'].id})}}" target="_blank">{{ post['post'].thread.forum.title }}</a>
                        </div>
                        <div class="cell padded rw-2 rw-sm-12">
                            <span>{{ post['post'].owner.name }}</span>
                        </div>
                        <div class="cell padded rw-2 rw-sm-12">
                            <span>{{ post['count'] }}</span>
                        </div>
                        <div class="cell padded rw-4 rw-sm-12">
                            {% set iteration = 0 %}
                            {% for reporter in post['reporters'] %}
                                {% if iteration > 0 %}
                                    <span>{{ ", " ~ reporter.name }}</span>
                                {% else %}
                                    <span>{{ reporter.name }}</span>
                                {% endif %}
                                {% set iteration = iteration + 1 %}
                            {% endfor %}
                        </div>
                        <div class="cell padded rw-1 rw-sm-12">
                            <button x-report-action="clear-reports" x-post-id={{ post['post'].id }}>{{ 'Gesehen'|trans({}, 'admin') }}</button>
                        </div>
                    </div>
                {% endfor %}
            </div>
        </div>
    </div>

{% endblock %}
{% block js %}
    <script>
        $.html.addEventListenerAll('[x-report-action=clear-reports]', 'click', function(e,elem) {
            $.ajax.easySend( '{{ path('admin_reports_clear') }}', {postId: parseInt( elem.getAttribute('x-post-id'))},
                function () {
                    $.ajax.load(null, '{{ path('admin_reports', {opt: all_shown ? 'all' : ''}) }}', true);
                } )
        } );
    </script>
{% endblock %}